AclEntryType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.permission, enum: AclEntryType

Package org.apache.hadoop.fs.permission

# Enum Class AclEntryType

java.lang.Object
java.lang.Enum<AclEntryType>
org.apache.hadoop.fs.permission.AclEntryType

All Implemented Interfaces:
  `Serializable`, `Comparable<AclEntryType>`, `Constable`

@Public @Stable public enum AclEntryType extends Enum<AclEntryType>
Specifies the type of an ACL entry.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUP`
  An ACL entry applied to a specific group.
  `MASK`
  An ACL mask entry.
  `OTHER`
  An ACL entry that applies to all other users that were not covered by one of the more specific ACL entry types.
  `USER`
  An ACL entry applied to a specific user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `String`
  `toStringStable()`
  Returns a string representation guaranteed to be stable across versions to satisfy backward compatibility requirements, such as for shell command output or serialization.
  `static AclEntryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AclEntryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final AclEntryType USER
    An ACL entry applied to a specific user. These ACL entries can be unnamed, which applies to the file owner, or named, which applies to the specific named user.

  - ### GROUP

    public static final AclEntryType GROUP
    An ACL entry applied to a specific group. These ACL entries can be unnamed, which applies to the file's group, or named, which applies to the specific named group.

  - ### MASK

    public static final AclEntryType MASK
    An ACL mask entry. Mask entries are unnamed. During permission checks, the mask entry interacts with all ACL entries that are members of the group class. This consists of all named user entries, the unnamed group entry, and all named group entries. For each such entry, any permissions that are absent from the mask entry are removed from the effective permissions used during the permission check.

  - ### OTHER

    public static final AclEntryType OTHER
    An ACL entry that applies to all other users that were not covered by one of the more specific ACL entry types.

- ## Method Details

  - ### values

    public static AclEntryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AclEntryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    @Unstable public String toString()
    Overrides:
      `toString` in class `Enum<AclEntryType>`

  - ### toStringStable

    public String toStringStable()
    Returns a string representation guaranteed to be stable across versions to satisfy backward compatibility requirements, such as for shell command output or serialization.
    Returns:
      stable, backward compatible string representation